Bug 831756 - Add ALLOW_NEGOTIATOR to the ExecuteNode feature
Add ALLOW_NEGOTIATOR to the ExecuteNode feature
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-base-db (Show other bugs)
2.0
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 13:35 EDT by Robert Rati
Modified: 2013-03-06 13:44 EST (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-base-db-1.24-1
Doc Type: Bug Fix
Doc Text:
Cause: The ExceuteNode feature did not have ALLOW_NEGOTIATOR set Consequence: Nodes could not allow matching Fix: The ExceuteNode includes ALLOW_NEGOTIATOR Result: Nodes will allow matching
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:44:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-06-13 13:35:11 EDT
Description of problem:
The condor_startd needs a correct vallue of ALLOW_NEGOTIATOR in order to match.  The ExecuteNode feature should have a reasonable value for ALLOW_NEGOTIATOR.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-09-28 16:18:56 EDT
Added ALLOW_NEGOTIATOR to the ExecuteNode feature and to the startd subsystem.

Fixed upstream on:
BZ831756-ExecuteNode-ALLOW_NEGOTIATOR
Comment 4 Lubos Trilety 2012-12-13 08:59:52 EST
Tested with:
condor-wallaby-base-db-1.25-1

# cat var/lib/condor-wallaby-base-db/condor-base-db.snapshot
...
  name: ExecuteNode
  params:
...
    ALLOW_NEGOTIATOR: $(ALLOW_NEGOTIATOR), $(CONDOR_HOST), $(IP_ADDRESS)
...
  name: startd
  params:
  - ALLOW_NEGOTIATOR
...

# wallaby show-feature ExecuteNode
Console Connection Established...
ExecuteNode
  name:  "ExecuteNode"
  params:  {"PREEMPT"=>"( ((Activity == \"Suspended\") && ($(ActivityTimer) > $(MaxSuspendTime))) || (SUSPEND && (WANT_SUSPEND == False)) )", "SUSPEND"=>"( $(KeyboardBusy) || ( (CpuBusyTime > 2 * $(MINUTE)) && $(ActivationTimer) > 90 ) )", "RUNBENCHMARKS"=>"(LastBenchmark == 0 ) || ($(BenchmarkTimer) >= (4 * $(HOUR)))", "CONTINUE"=>"( $(CPUIdle) && ($(ActivityTimer) > 10) && (KeyboardIdle > $(ContinueIdleTime)) )", "WANT_VACATE"=>"( $(ActivationTimer) > 10 * $(MINUTE) || $(IsVanilla) )", "STARTD_ADDRESS_FILE"=>"$(LOG)/.startd_address", "PERIODIC_CHECKPOINT"=>"$(LastCkpt) > (3 * $(HOUR) + $RANDOM_INTEGER(-30,30,1) * $(MINUTE) )", "MAXJOBRETIREMENTTIME"=>"0", "BENCHMARKTIMER"=>"(CurrentTime - LastBenchmark)", "STARTD_ATTRS"=>">= \"$(COLLECTOR_HOST)\", SmallJob, KeyboardNotBusy, IsVanilla, ActivationTimer, MINUTE, StartIdleTime, CPUIdle, KeyboardBusy, ContinueIdleTime, MaxSuspendTime, MaxVacateTime, HOUR, LastCkpt", "STARTD_JOB_EXPRS"=>"ImageSize, ExecutableSize, JobUniverse, NiceUser", "WANT_SUSPEND"=>"( $(SmallJob) || $(KeyboardNotBusy) || $(IsVanilla) ) && ( $(SUSPEND) )", "START"=>"( (KeyboardIdle > $(StartIdleTime)) && ( $(CPUIdle) || (State != \"Unclaimed\" && State != \"Owner\")) )", "KILL"=>"$(ActivityTimer) > $(MaxVacateTime)", "DAEMON_LIST"=>">= STARTD", "STARTER"=>"$(SBIN)/condor_starter", "STARTD_LOG"=>"$(LOG)/StartLog", "MAX_STARTD_LOG"=>"1000000", "STARTD_DEBUG"=>"", "CONSOLE_DEVICES"=>"mouse, console", "ALLOW_NEGOTIATOR"=>"$(ALLOW_NEGOTIATOR), $(CONDOR_HOST), $(IP_ADDRESS)", "STARTER_LIST"=>"STARTER", "STARTD"=>"$(SBIN)/condor_startd"}
  depends:  ["Master"]
  conflicts:  []
  included_features:  ["BaseJobExecuter"]
  annotation:  "Enables running jobs"

# wallaby show-subsystem startd
Console Connection Established...
Showing the following subsystem: startd with {}
startd
  name:  "startd"
  params:  ["WANT_SUSPEND", "VM_NETWORKING_DEFAULT_TYPE", "UPDATE_INTERVAL", "TRIGGER_DATA_GETDATA_RECONFIG", "STARTD_JOB_EXPRS", "STARTD_DEBUG", "START", "MAX_VM_GAHP_LOG", "CONTINUE", "MAX_STARTD_LOG", "STARTER_LIST", "QMF_BROKER_USERNAME", "QMF_BROKER_HOST", "WANT_VACATE", "VM_GAHP_LOG", "TRIGGER_DATA_GETDATA_EXECUTABLE", "ALLOW_READ", "VM_MEMORY", "TRIGGER_DATA_GETDATA_PERIOD", "STARTER_DEBUG", "STARTD_CRON_NAME", "STARTD_ADDRESS_FILE", "QMF_DELETE_ON_SHUTDOWN", "PREEMPT", "KILL", "TRIGGER_DATA_JOBLIST", "SUSPEND", "STARTD_CRON_AUTOPUBLISH", "QMF_BROKER_PORT", "VM_NETWORKING_TYPE", "VM_NETWORKING_BRIDGE_INTERFACE", "VM_NETWORKING", "VM_GAHP_SERVER", "STARTER_LOG", "QMF_BROKER_AUTH_MECH", "PERIODIC_CHECKPOINT", "CONSOLE_DEVICES", "ALLOW_WRITE", "MAX_STARTER_LOG", "ENABLE_RUNTIME_CONFIG", "ALLOW_NEGOTIATOR", "VM_TYPE", "STARTD_LOG", "TCP_FORWARDING_HOST", "RUNBENCHMARKS", "MAXJOBRETIREMENTTIME", "LIBVIRT_XML_SCRIPT", "BENCHMARKTIMER", "TRIGGER_DATA_GETDATA_PREFIX", "STARTER", "STARTD_ATTRS", "STARTD", "QMF_BROKER_PASSWORD_FILE"]
  annotation:  "The list of parameters affecting the startd subsystem"

ALLOW_NEGOTIATOR is present in base db for subsystem startd and feature ExecuteNode

>>> verified
Comment 6 errata-xmlrpc 2013-03-06 13:44:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.